> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete apiv1authorizewhitelist



## OpenAPI

````yaml /api-reference/openapi.json delete /api/v1/authorize/whitelist/{root_address}
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/authorize/whitelist/{root_address}:
    delete:
      tags:
        - User
      operationId: remove_root_whitelist_entry
      parameters:
        - name: root_address
          in: path
          description: Canonical or short Aptos root address
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Root address removed from whitelist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootWhitelistResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - root_whitelist_basic_auth: []
components:
  schemas:
    RootWhitelistResponse:
      type: object
      required:
        - root_address
        - whitelisted
      properties:
        root_address:
          type: string
        whitelisted:
          type: boolean
  securitySchemes:
    root_whitelist_basic_auth:
      type: http
      scheme: basic

````